# PySveaSolar

PySveaSolar is a Python package for managing and interacting with Svea Solar systems. It provides models and utilities to handle various aspects of solar energy systems, electric vehicles, and related data.

## Features

- Manage battery and electric vehicle data
- Handle badges and their statuses
- Retrieve and update vehicle details
- Access weather and spot price information
- Monitor current status of sources and destinations

## Installation

To install the package, use `poetry`:

```bash
poetry add pysveasolar
```

### Usage
```bash
usage: cli.py [-h] {login,mydata,user,dashboard,system,details,battery,ws} ...

positional arguments:
  {login,mydata,user,dashboard,system,details,battery,ws}

options:
  -h, --help            show this help message and exit
```

## Contributing
Contributions are welcome! Please open an issue or submit a pull request.

### Disclaimer
This client is not officially supported by Svea Solar. It is a community project, and it is not guaranteed to be up-to-date with the latest changes in the API.
